Package com.plannaplan.types

# Enum UserRoles

java.lang.Object
java.lang.Enum<UserRoles>
com.plannaplan.types.UserRoles

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<UserRoles>`, `java.lang.constant.Constable`

    public enum UserRoles
    extends java.lang.Enum<UserRoles>

UserRoles contains types: STUDENT, DEANERY, ADMIN, TEST_USER

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ADMIN` |
`DEANERY` |
`DEVELOPER` |
`STUDENT` |
`TEST_USER` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static UserRoles` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static UserRoles[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STUDENT

public static final UserRoles STUDENT

### DEANERY

public static final UserRoles DEANERY

### ADMIN

public static final UserRoles ADMIN

### TEST_USER

public static final UserRoles TEST_USER

### DEVELOPER

public static final UserRoles DEVELOPER

## Method Details

### values

public static UserRoles[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UserRoles valueOf​(java.lang.String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null